<template>
  <template-page ref="pageRef" :get-list="getList" :table-attributes="tableAttributes" :table-events="tableEvents"
    :options-evens-group="optionsEvensGroup" :moreParameters="moreParameters" :column-parsing="columnParsing"
    :operation="operation()" :exportList="exportList">
  </template-page>
</template>

<script>
import TemplatePage from '@/components/template/template-page-1.vue'
import import_mixin from '@/components/template/import_mixin.js'
import { deleteModule, templateListPageV2, templatePageExport } from '@/api/goods'
import operation_mixin from '@/components/template/operation_mixin.js'
export default {
  components: { TemplatePage },
  mixins: [import_mixin,operation_mixin],
  data() {
    return {
      // 表格属性
      tableAttributes: {
        // 启用勾选列
        selectColumn: false
      },
      // 表格事件
      tableEvents: {
        'selection-change': this.selectionChange
      },
      // 勾选选中行
      recordSelected: [],
    }
  },
  computed: {
	// 事件组合
	optionsEvensGroup() {
		return [
			[
				[
					this.optionsEvensAuth("add", {
						click: () => {
							this.$router.push({
							  name: "explain_add",
							  query: {}
							})
						}
					})
				],
			],
			[
				[
					this.optionsEvensAuth("explain_common", {
						click: () => {
							this.$router.push({
							  name: "explain_common",
							  query: {}
							})
						}
					})
				],
			]
		]
	},
    // 更多参数
    moreParameters() {
      return []
    },
  },
  methods: {
    // 列表请求函数
    getList(pm){
      pm.params.push({ "param": "a.type", "compare": "=", "value": '1' })
      return templateListPageV2(pm)
    },
    // 列表导出函数
    exportList: templatePageExport,
    // 表格列解析渲染数据更改
    columnParsing(item, defaultData) {
      return defaultData
    },
    // 监听勾选变化
    selectionChange(data) {
      this.recordSelected = data
    },
	// 表格操作列
	operation() {
		return this.operationBtn({
		  edit: {
			btnType: 'text',
		    click: ({ row, index, column }) => {
		      this.$router.push({
		        name: "explain_add",
		        query: {
		          id: row.commonTemplateId
		        }
		      })
		    }
		  },
		  del: {
			btnType: 'text',
			prompt: '确定删除吗？',
		    click: ({ row, index, column }) => {
		      deleteModule({
		        commonTemplateId: row.commonTemplateId
		      }).then(res => {
		        this.$message({ type: 'success', message: '删除成功!' })
		        this.$refs.pageRef.refreshList()
		      })
		    }
		  }
		})
	},
  }
}
</script>

<style lang="scss" scoped></style>
